<?php

namespace App\Modules\ModuleNotification\Application;

use App\Modules\ModuleNotification\Domain\ModuleNotificationRepository;
use App\Modules\ModuleNotification\Domain\UpdateModuleNotification;

class ModuleNotificationUpdater
{

    private ModuleNotificationRepository $repository;

    public function __construct(ModuleNotificationRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(UpdateModuleNotification $value)
    {
        return $this->repository->update($value);
    }
}
